Bug 232798 - Serious rendering porblems with Evince targeting Cairo through poppler
Serious rendering porblems with Evince targeting Cairo through poppler
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-17 19:24 EDT by Klaus Pedersen
Modified: 2008-04-04 01:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 01:39:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 496540 None None None Never
FreeDesktop.org 12284 None None None Never
FreeDesktop.org 9846 None None None Never

  None (edit)
Description Klaus Pedersen 2007-03-17 19:24:46 EDT
Description of problem:


Version-Release number of selected component (if applicable):
evince-0.8.0-1.fc7
poppler-0.5.4-7.fc7
cairo-1.4.0-1.fc7

How reproducible:

Load any new datasheet from http://ti.com, fx
http://focus.ti.com/lit/ds/symlink/tpa6130a2.pdf

Notice that all the glyphs are mirrored(!) - When selecting text the individual
glyphs get the correct orientation. Very weird!

Load application notes from Analog devices, fx
http://www.analog.com/UploadedFiles/Associated_Docs/56688542305236850671499306121962714110066410Chapter_VI.N.pdf

Notice how all the text are rendered white on white...

xpdf renders both documents correctly.


Steps to Reproduce:
1. Download the documents linked about
2. open in evince
  
Actual results:

3. look at weird rendering

Expected results:

Open documents in xpdf and compare.


Additional info:

Building poppler without support for cairo output solves both problems.
---
cd $POPPLER
./configure --disable-cairo-output
export LD_LIBRARY_PATH=$POPPLER/poppler/.libs:/$POPPLER/glib/.libs
evince /tmp/tpa6130a2.pdf
---

Maybe it should be considered to disable cairo in poppler until upstream gets
more stable...
Comment 1 Charles R. Anderson 2007-11-13 14:18:22 EST
I see no issues with the TI documents and the FC8 evince:

evince-2.20.1-1.fc8
poppler-0.6-2.fc8

However, the Analog document fails for me with these symptoms:

No text appears except for the page numbers.  Parts of the figures appear fine,
like the line drawings, but not all the shapes on the figures appear correctly
(the figure on the bottom of page 6-3 is missing some of the components).

If you select areas of a page, the text suddenly appears selected of course.

I get this error on the terminal:

cairo context error: out of memory
Comment 2 Charles R. Anderson 2007-11-13 14:23:32 EST
I have the same problem with this document:

http://www.afltele.com/resource%20center/specifications/test_inspection/pdfs/OPM5-30-2000_B.pdf

No text appears until I select the page with the mouse.
Comment 3 Charles R. Anderson 2007-11-13 14:31:39 EST
These errors appear in .xsession-errors:

Error: PDF file is damaged - attempting to reconstruct xref table...
Error: Top-level pages object is wrong type (null)
Error: Couldn't read page catalog
Error: PDF file is damaged - attempting to reconstruct xref table...
Error: Top-level pages object is wrong type (null)
Error: Couldn't read page catalog
cairo context error: out of memory
Comment 4 Charles R. Anderson 2007-11-13 14:41:36 EST
Upstream bug:

http://bugzilla.gnome.org/show_bug.cgi?id=496540
Comment 5 Charles R. Anderson 2007-11-13 17:35:43 EST
From Freedesktop bug:

https://bugs.freedesktop.org/show_bug.cgi?id=8399

------- Comment #14 From Frederic Crozat 2007-10-31 11:19:22 PST -------

correction, to get all PDF rendered correctly, you need fixes for bugs #12284
AND #9846, ie git commit d62f8861689d8b9a9a837043fb78813f0407abd4 and
79d975f84bcc32e91db517d71a7312e2e1d653d4 against cairo 1.4.10
Comment 6 Bug Zapper 2008-04-03 19:42:25 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Charles R. Anderson 2008-04-04 01:39:52 EDT
Based on current rawhide versions and upstream bug report, this should be
working now.  Closing.

Note You need to log in before you can comment on or make changes to this bug.